Subject: [E1000-devel] ARM support for igb driver

From: [email-masked] (Jason Gunthorpe)
Date: Fri, 30 May 2014 13:18:52 -0600

On Fri, May 30, 2014 at 11:32:34PM +0530, shiv prakash Agarwal wrote:
> Finally we see that this hang occurs because some VDM is sent by
> this I210 card.  Why this card sends VDM? and how can we disable it?

> VDM = Venodor Defined Message

FWIW, when I last looked at Intel stuff in an analyzer it was sending
regular VDMs for some purpose.

Type 1 VDMs should not cause any errors, the root port should just
silently discard them.

If your root port is returning an error completion or otherwise from a
type 1 VDM then it is broken and the device would be properly
asserting DLP. Some work around would be required for that kind of HW
defect :|

I once tracked down a similar bug with VDM handling in a PCI-E
device..

Jason